package com.cm.common.pojo.bos;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;

/**
 * @ClassName: DepartmentBO
 * @Description: 部门
 * @Author: WangGeng
 * @Date: 2019/3/14 9:29 PM
 * @Version: 1.0
 **/
public class DepartmentBO implements Serializable {

    private static final long serialVersionUID = -8160484188600622923L;
    private String departmentId;
    private String departmentName;
    private String departmentCode;
    private String departmentSummary;
    private String departmentArea1Id;
    private String departmentArea1Code;
    private String departmentArea1Name;
    private String departmentArea2Id;
    private String departmentArea2Code;
    private String departmentArea2Name;
    private String departmentArea3Id;
    private String departmentArea3Code;
    private String departmentArea3Name;
    private String departmentArea4Id;
    private String departmentArea4Code;
    private String departmentArea4Name;
    private String departmentArea5Id;
    private String departmentArea5Code;
    private String departmentArea5Name;


    public String getDepartmentId() {
        return departmentId == null ? "" : departmentId.trim();
    }

    public void setDepartmentId(String departmentId) {
        this.departmentId = departmentId;
    }

    public String getDepartmentName() {
        return departmentName == null ? "" : departmentName.trim();
    }

    public void setDepartmentName(String departmentName) {
        this.departmentName = departmentName;
    }

    public String getDepartmentCode() {
        return departmentCode == null ? "" : departmentCode.trim();
    }

    public void setDepartmentCode(String departmentCode) {
        this.departmentCode = departmentCode;
    }

    public String getDepartmentSummary() {
        return departmentSummary == null ? "" : departmentSummary.trim();
    }

    public void setDepartmentSummary(String departmentSummary) {
        this.departmentSummary = departmentSummary;
    }

    public String getDepartmentArea1Id() {
        return departmentArea1Id == null ? "" : departmentArea1Id.trim();
    }

    public void setDepartmentArea1Id(String departmentArea1Id) {
        this.departmentArea1Id = departmentArea1Id;
    }

    public String getDepartmentArea1Code() {
        return departmentArea1Code == null ? "" : departmentArea1Code.trim();
    }

    public void setDepartmentArea1Code(String departmentArea1Code) {
        this.departmentArea1Code = departmentArea1Code;
    }

    public String getDepartmentArea1Name() {
        return departmentArea1Name == null ? "" : departmentArea1Name.trim();
    }

    public void setDepartmentArea1Name(String departmentArea1Name) {
        this.departmentArea1Name = departmentArea1Name;
    }

    public String getDepartmentArea2Id() {
        return departmentArea2Id == null ? "" : departmentArea2Id.trim();
    }

    public void setDepartmentArea2Id(String departmentArea2Id) {
        this.departmentArea2Id = departmentArea2Id;
    }

    public String getDepartmentArea2Code() {
        return departmentArea2Code == null ? "" : departmentArea2Code.trim();
    }

    public void setDepartmentArea2Code(String departmentArea2Code) {
        this.departmentArea2Code = departmentArea2Code;
    }

    public String getDepartmentArea2Name() {
        return departmentArea2Name == null ? "" : departmentArea2Name.trim();
    }

    public void setDepartmentArea2Name(String departmentArea2Name) {
        this.departmentArea2Name = departmentArea2Name;
    }

    public String getDepartmentArea3Id() {
        return departmentArea3Id == null ? "" : departmentArea3Id.trim();
    }

    public void setDepartmentArea3Id(String departmentArea3Id) {
        this.departmentArea3Id = departmentArea3Id;
    }

    public String getDepartmentArea3Code() {
        return departmentArea3Code == null ? "" : departmentArea3Code.trim();
    }

    public void setDepartmentArea3Code(String departmentArea3Code) {
        this.departmentArea3Code = departmentArea3Code;
    }

    public String getDepartmentArea3Name() {
        return departmentArea3Name == null ? "" : departmentArea3Name.trim();
    }

    public void setDepartmentArea3Name(String departmentArea3Name) {
        this.departmentArea3Name = departmentArea3Name;
    }

    public String getDepartmentArea4Id() {
        return departmentArea4Id == null ? "" : departmentArea4Id.trim();
    }

    public void setDepartmentArea4Id(String departmentArea4Id) {
        this.departmentArea4Id = departmentArea4Id;
    }

    public String getDepartmentArea4Code() {
        return departmentArea4Code == null ? "" : departmentArea4Code.trim();
    }

    public void setDepartmentArea4Code(String departmentArea4Code) {
        this.departmentArea4Code = departmentArea4Code;
    }

    public String getDepartmentArea4Name() {
        return departmentArea4Name == null ? "" : departmentArea4Name.trim();
    }

    public void setDepartmentArea4Name(String departmentArea4Name) {
        this.departmentArea4Name = departmentArea4Name;
    }

    public String getDepartmentArea5Id() {
        return departmentArea5Id == null ? "" : departmentArea5Id.trim();
    }

    public void setDepartmentArea5Id(String departmentArea5Id) {
        this.departmentArea5Id = departmentArea5Id;
    }

    public String getDepartmentArea5Code() {
        return departmentArea5Code == null ? "" : departmentArea5Code.trim();
    }

    public void setDepartmentArea5Code(String departmentArea5Code) {
        this.departmentArea5Code = departmentArea5Code;
    }

    public String getDepartmentArea5Name() {
        return departmentArea5Name == null ? "" : departmentArea5Name.trim();
    }

    public void setDepartmentArea5Name(String departmentArea5Name) {
        this.departmentArea5Name = departmentArea5Name;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"departmentId\":\"")
                .append(departmentId).append('\"');
        sb.append(",\"departmentName\":\"")
                .append(departmentName).append('\"');
        sb.append(",\"departmentCode\":\"")
                .append(departmentCode).append('\"');
        sb.append(",\"departmentSummary\":\"")
                .append(departmentSummary).append('\"');
        sb.append(",\"departmentArea1Id\":\"")
                .append(departmentArea1Id).append('\"');
        sb.append(",\"departmentArea1Code\":\"")
                .append(departmentArea1Code).append('\"');
        sb.append(",\"departmentArea1Name\":\"")
                .append(departmentArea1Name).append('\"');
        sb.append(",\"departmentArea2Id\":\"")
                .append(departmentArea2Id).append('\"');
        sb.append(",\"departmentArea2Code\":\"")
                .append(departmentArea2Code).append('\"');
        sb.append(",\"departmentArea2Name\":\"")
                .append(departmentArea2Name).append('\"');
        sb.append(",\"departmentArea3Id\":\"")
                .append(departmentArea3Id).append('\"');
        sb.append(",\"departmentArea3Code\":\"")
                .append(departmentArea3Code).append('\"');
        sb.append(",\"departmentArea3Name\":\"")
                .append(departmentArea3Name).append('\"');
        sb.append(",\"departmentArea4Id\":\"")
                .append(departmentArea4Id).append('\"');
        sb.append(",\"departmentArea4Code\":\"")
                .append(departmentArea4Code).append('\"');
        sb.append(",\"departmentArea4Name\":\"")
                .append(departmentArea4Name).append('\"');
        sb.append(",\"departmentArea5Id\":\"")
                .append(departmentArea5Id).append('\"');
        sb.append(",\"departmentArea5Code\":\"")
                .append(departmentArea5Code).append('\"');
        sb.append(",\"departmentArea5Name\":\"")
                .append(departmentArea5Name).append('\"');
        sb.append('}');
        return sb.toString();
    }
}
